# Analysis

The selected names appear [**intuitive**](/designing/definitions/intuitive-adjective.md), simple, and understandable, but they have alternatives. The following analysis using the Html tag `<span>` as an example should clarify the choice.

## <<mark style="background-color:orange;">span</mark>>

### Alternatives

The possible words describe the **`span`**.

<mark style="color:red;">**✕**</mark> `body`

<mark style="color:red;">**✕**</mark> `content`

<mark style="color:red;">**✕**</mark> `name`

<mark style="color:red;">**✕**</mark> `phrase`

<mark style="color:red;">**✕**</mark> `sentence`

<mark style="color:green;">**✓**</mark> `text`

<mark style="color:red;">**✕**</mark> `word`

### Comparison of possibilities

<mark style="color:red;">**✕**</mark> Wrap **body**.

<mark style="color:red;">**✕**</mark> Wrap **content**.

<mark style="color:red;">**✕**</mark> Wrap **name**.

<mark style="color:red;">**✕**</mark> Wrap **phrase**.

<mark style="color:red;">**✕**</mark> Wrap **sentence**.

<mark style="color:green;">**✓**</mark> Wrap **text**.

<mark style="color:red;">**✕**</mark> Wrap **word**.

### Word

`text`

### Reasons

I selected to wrap the **text** because it's not only the word, [phrase](/designing/definitions/phrase-noun-verb.md), or sentence, but sentences and we can find a feature called 'word wrap'. On the other hand, wrap **text** may suggest wrapping words in the text. The text after the wrapping is also the content of the `Wrap`. There is a wrap that can be opened or closed.

> *"Phrases can consist of a single word or a complete sentence."* - Wikipedia

## <mark style="background-color:orange;"><</mark>span>

### Alternatives

The possible words describe the `<`.

<mark style="color:green;">**✓**</mark> `opening`

<mark style="color:red;">**✕**</mark> `openingChar`

<mark style="color:red;">**✕**</mark> `openingChars`

<mark style="color:red;">**✕**</mark> `openingCharacters`

<mark style="color:red;">**✕**</mark> `startingChars`

<mark style="color:red;">**✕**</mark> `prefix`

### Comparison of possibilities

<mark style="color:red;">**✕**</mark>**&#x20;beginning** of the Wrap.

<mark style="color:green;">**✓**</mark> **opening** of the Wrap.

<mark style="color:red;">**✕**</mark>**&#x20;starting** of the Wrap.

<mark style="color:red;">**✕**</mark>**&#x20;beginning** chars of the Wrap.

<mark style="color:green;">**✓**</mark> **opening** chars of the Wrap.

<mark style="color:red;">**✕**</mark>**&#x20;starting** chars of the Wrap.

<mark style="color:green;">**✓**</mark> Text **opening**<mark style="color:green;">.</mark>

<mark style="color:green;">**✓**</mark> Text **opening** chars.

<mark style="color:green;">**✓**</mark> Wrap **opening**.

<mark style="color:green;">**✓**</mark> Wrap **opening** char.

<mark style="color:green;">**✓**</mark> Wrap **opening** chars.

<mark style="color:green;">**✓**</mark> Wrap **opening** characters.

<mark style="color:red;">**✕**</mark> Wrap **prefix**.

<mark style="color:red;">**✕**</mark> Wrap **starting** characters.

### Word

`opening`

### Reasons

A decision is made, the word '**opening**' is selected to describe the char '`<`' before the '`span`' because it's a general word and seems more intuitive than the 'starting' or even 'prefix' word. For example, let's read more about the prefix.

#### Prefix definitions

> As **noun**
>
> *"a* [*letter*](https://dictionary.cambridge.org/dictionary/english/letter) *or* [*group*](https://dictionary.cambridge.org/dictionary/english/group) *of* [*letters*](https://dictionary.cambridge.org/dictionary/english/capital) [*added*](https://dictionary.cambridge.org/dictionary/english/add) *to the* [*beginning*](https://dictionary.cambridge.org/dictionary/english/beginning) *of a word to make a new word"*&#x20;
>
> Cambridge Dictionary

> As **noun**
>
> *"an affix attached to the beginning of a word, base, or phrase and serving to produce a derivative word or an inflectional form"*
>
> Merriam-Webster

Prefix **refers** more to the **word** than the **text** that's why the choice '**opening**' seems safe. Crucial is to have in mind, a different tag can consist of more than one char e.g. {{variable}}.

## \<span<mark style="background-color:orange;">></mark>

### Alternatives

The possible words describe the **`>`**.

<mark style="color:green;">**✓**</mark> `closing`

<mark style="color:green;">**✓**</mark> `closingChar`

<mark style="color:green;">**✓**</mark> `closingChars`

<mark style="color:green;">**✓**</mark> `closingCharacters`

<mark style="color:red;">**✕**</mark> `endingChar`

<mark style="color:red;">**✕**</mark> `endingChars`

<mark style="color:red;">**✕**</mark> `endingCharacters`

<mark style="color:red;">**✕**</mark> `suffix`

### Comparison of possibilities

<mark style="color:green;">**✓**</mark> Text **closing**<mark style="color:green;">.</mark>

<mark style="color:green;">**✓**</mark> Text **closing** chars.

<mark style="color:green;">**✓**</mark> Wrap **closing**.

<mark style="color:green;">**✓**</mark> Wrap **closing** char.

<mark style="color:green;">**✓**</mark> Wrap **closing** chars.

<mark style="color:green;">**✓**</mark> Wrap **closing** characters.

<mark style="color:red;">**✕**</mark> Wrap **ending** chars.

<mark style="color:red;">**✕**</mark> Wrap **ending** characters.

<mark style="color:red;">**✕**</mark> Wrap **suffix**.

### Word

`closing`

### Reasons

The choice is **straightforward** because the choice of the '**opening**' word forces us to use the '**closing**' word.

## Legend

<mark style="color:red;">**✕**</mark> - Rejected\ <mark style="color:green;">**✓**</mark> - Confirmed


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/designing/design-processes/wrap/analysis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
